/commercetools-categories | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
commercetools_categories_create_categories | Either the scope manage_products:{projectKey} or manage_categories:{projectKey} is required. Creating a Category produces the CategoryCreated Message. |
commercetools_categories_create_product_selections | POST /product-selections |
commercetools_categories_create_reviews | POST /reviews |
commercetools_categories_create_shopping_lists | Create a ShoppingList in the Project. |
commercetools_categories_delete_by_id | Either the scope manage_products:{projectKey} or manage_categories:{projectKey} is required. |
commercetools_categories_delete_by_key | Either the scope manage_products:{projectKey} or manage_categories:{projectKey} is required. |
commercetools_categories_delete_product_selections_by_id | Deletion will only succeed if the Product Selection is not assigned to any Store. |
commercetools_categories_delete_product_selections_by_key | Deletion will only succeed if the Product Selection is not assigned to any Store. |
commercetools_categories_delete_reviews_by_id | DELETE /reviews/{ID} |
commercetools_categories_delete_reviews_by_key | DELETE /reviews/key={key} |
commercetools_categories_delete_shopping_lists_by_id | Deletes a ShoppingList in the Project. |
commercetools_categories_delete_shopping_lists_by_key | Deletes a ShoppingList in the Project. |
commercetools_categories_get_by_id | Either the scope view_products:{projectKey} or view_categories:{projectKey} is required. |
commercetools_categories_get_by_key | Either the scope view_products:{projectKey} or view_categories:{projectKey} is required. |
commercetools_categories_get_product_selections_by_id | GET /product-selections/{ID} |
commercetools_categories_get_product_selections_by_key | GET /product-selections/key={key} |
commercetools_categories_get_reviews_by_id | GET /reviews/{ID} |
commercetools_categories_get_reviews_by_key | GET /reviews/key={key} |
commercetools_categories_get_shopping_lists_by_id | Retrieves a ShoppingList with the provided id. |
commercetools_categories_get_shopping_lists_by_key | Retrieves a ShoppingList with the provided key. |
commercetools_categories_list_categories | Either the scope view_products:{projectKey} or view_categories:{projectKey} is required. |
commercetools_categories_list_product_selections | GET /product-selections |
commercetools_categories_list_product_selections_products_by_id | GET /product-selections/{ID}/products |
commercetools_categories_list_product_selections_products_by_key | GET /product-selections/key={key}/products |
commercetools_categories_list_reviews | GET /reviews |
commercetools_categories_list_shopping_lists | Retrieves ShoppingLists in the Project. |
commercetools_categories_update_categories_by_id | Either the scope manage_products:{projectKey} or manage_categories:{projectKey} is required. |
commercetools_categories_update_categories_by_key | Either the scope manage_products:{projectKey} or manage_categories:{projectKey} is required. |
commercetools_categories_update_product_selections_by_id | POST /product-selections/{ID} |
commercetools_categories_update_product_selections_by_key | POST /product-selections/key={key} |
commercetools_categories_update_reviews_by_id | POST /reviews/{ID} |
commercetools_categories_update_reviews_by_key | POST /reviews/key={key} |
commercetools_categories_update_shopping_lists_by_id | Updates a ShoppingList in the Project using one or more update actions. |
commercetools_categories_update_shopping_lists_by_key | Updates a ShoppingList in the Project using one or more update actions. |
commercetools_categories_create_categories
Either the scopemanage_products:{projectKey} or manage_categories:{projectKey} is required. Creating a Category produces the CategoryCreated Message.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
assets | object[] | No | — | The assets value |
custom | object | No | — | The custom value |
description | object | No | — | The description value |
externalId | string | No | — | External Id |
key | string | No | — | The key value |
metaDescription | object | No | — | Meta Description |
metaKeywords | object | No | — | Meta Keywords |
metaTitle | object | No | — | Meta Title |
name | object | Yes | — | The name value |
orderHint | string | No | — | Order Hint |
parent | object | No | — | The parent value |
slug | object | Yes | — | The slug value |
commercetools_categories_create_product_selections
POST /product-selections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
custom | object | No | — | The custom value |
key | string | No | — | The key value |
mode | string | No | — | The mode value |
name | object | Yes | — | The name value |
type | string | No | — | The type value |
commercetools_categories_create_reviews
POST /reviews Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
authorName | string | No | — | Author Name |
custom | object | No | — | The custom value |
customer | object | No | — | The customer value |
key | string | No | — | The key value |
locale | string | No | — | Locale or language code |
rating | integer | No | — | The rating value |
state | object | No | — | The state value |
target | object | No | — | The target value |
text | string | No | — | The text value |
title | string | No | — | The title value |
uniquenessValue | string | No | — | Uniqueness Value |
commercetools_categories_create_shopping_lists
Create a ShoppingList in the Project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
anonymousId | string | No | — | Anonymous Id |
businessUnit | object | No | — | Business Unit |
custom | object | No | — | The custom value |
customer | object | No | — | The customer value |
deleteDaysAfterLastModification | integer | No | — | Delete Days After Last Modification |
description | object | No | — | The description value |
key | string | No | — | The key value |
lineItems | object[] | No | — | Line Items |
name | object | Yes | — | The name value |
slug | object | No | — | The slug value |
store | object | No | — | The store value |
textLineItems | object[] | No | — | Text Line Items |
commercetools_categories_delete_by_id
Either the scopemanage_products:{projectKey} or manage_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_by_key
Either the scopemanage_products:{projectKey} or manage_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_product_selections_by_id
Deletion will only succeed if the Product Selection is not assigned to any Store. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_product_selections_by_key
Deletion will only succeed if the Product Selection is not assigned to any Store. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_reviews_by_id
DELETE /reviews/{ID} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
dataErasure | boolean | No | — | Data Erasure |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_reviews_by_key
DELETE /reviews/key={key} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
dataErasure | boolean | No | — | Data Erasure |
version | integer | Yes | — | The version value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_delete_shopping_lists_by_id
Deletes a ShoppingList in the Project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
dataErasure | boolean | No | — | Data Erasure |
version | integer | Yes | — | The version value |
commercetools_categories_delete_shopping_lists_by_key
Deletes a ShoppingList in the Project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
dataErasure | boolean | No | — | Data Erasure |
version | integer | Yes | — | The version value |
commercetools_categories_get_by_id
Either the scopeview_products:{projectKey} or view_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_by_key
Either the scopeview_products:{projectKey} or view_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_product_selections_by_id
GET /product-selections/{ID} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_product_selections_by_key
GET /product-selections/key={key} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_reviews_by_id
GET /reviews/{ID} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_reviews_by_key
GET /reviews/key={key} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_shopping_lists_by_id
Retrieves a ShoppingList with the providedid.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_get_shopping_lists_by_key
Retrieves a ShoppingList with the providedkey.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
commercetools_categories_list_categories
Either the scopeview_products:{projectKey} or view_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
sort | string[] | No | — | Sort order for results |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
withTotal | boolean | No | — | With Total |
where | string[] | No | — | The where value |
commercetools_categories_list_product_selections
GET /product-selections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
sort | string[] | No | — | Sort order for results |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
withTotal | boolean | No | — | With Total |
where | string[] | No | — | The where value |
commercetools_categories_list_product_selections_products_by_id
GET /product-selections/{ID}/products Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
where | string[] | No | — | The where value |
withTotal | boolean | No | — | With Total |
expand | string[] | No | — | Related resources to expand inline |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
sort | string[] | No | — | Sort order for results |
commercetools_categories_list_product_selections_products_by_key
GET /product-selections/key={key}/products Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
where | string[] | No | — | The where value |
withTotal | boolean | No | — | With Total |
expand | string[] | No | — | Related resources to expand inline |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
sort | string[] | No | — | Sort order for results |
commercetools_categories_list_reviews
GET /reviews Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
sort | string[] | No | — | Sort order for results |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
withTotal | boolean | No | — | With Total |
where | string[] | No | — | The where value |
commercetools_categories_list_shopping_lists
Retrieves ShoppingLists in the Project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Related resources to expand inline |
sort | string[] | No | — | Sort order for results |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
withTotal | boolean | No | — | With Total |
where | string[] | No | — | The where value |
commercetools_categories_update_categories_by_id
Either the scopemanage_products:{projectKey} or manage_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_categories_by_key
Either the scopemanage_products:{projectKey} or manage_categories:{projectKey} is required.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_product_selections_by_id
POST /product-selections/{ID} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_product_selections_by_key
POST /product-selections/key={key} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_reviews_by_id
POST /reviews/{ID} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_reviews_by_key
POST /reviews/key={key} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_shopping_lists_by_id
Updates a ShoppingList in the Project using one or more update actions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The id value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |
commercetools_categories_update_shopping_lists_by_key
Updates a ShoppingList in the Project using one or more update actions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The key value |
expand | string[] | No | — | Related resources to expand inline |
actions | object[] | Yes | — | The actions value |
version | integer | Yes | — | The version value |

